Summary:	Unreal Tournament 2003
Name:		ut2003
Version:	demo
Release:	linux
License:	Commercial
Group:		Games
Packager:       linuxkid <linux@peanutlinux.org>
Source0:	ut2003-demo-linux.sh.bin
Source1:	ut2003_demo.spec
Source2:        ut2003.desktop
URL: 		http://www.unrealtournament2003.com/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unreal Tournament 2003 is the sequel to 1999's multiple 'Game of the
Year' award winner. It uses the very latest Unreal Engine technology
- where graphics, sound and gameplay are taken beyond the bleeding edge. 

Unreal Tournament 2003 is a lightning-fast, no-holds-barred sport of the
future, where warriors face off like the Gladiators of ancient Rome to 
determine the ultimate combatant. Super human reflexes, awesome weapons 
and the skill to use them effectively are what separate the good from the 
bad, the living from the dead, the victor from vanquished.

Unreal Tournament 2003 can be played alone, against computer-controlled 
'bots' or against human opponents via LAN or the Internet. The single 
player experience revolves around progress through a tournament ladder 
where you play alone or as leader of a team of warriors you select to take 
on the enemy in the various modes of combat. As your team wins, you'll work 
your way up through the leagues until the challenge to ultimate combat is 
met and the true Champion determined.

The multiplayer section of the game is where the skills you have are tested 
to the limit. Go up against individuals or teams on your own or as member of 
an elite squad on LAN or the Internet in Unreal Tournament 2003's various 
modes of multiplayer game play.

A huge community of hardened warriors is out there waiting for the challenge. 
Its up to you to show them who they should be afraid of. 

This is real sport. Real competition. Let battle commence.

Q: I have a working, hardware accelerated OpenGL setup, but when I try
    to run the game, I get a message on the console and in my logs that
    says something like "OpenGL renderer relies on DXTC/S3TC support".
A: Your drivers do not support the "GL_EXT_texture_compression_s3tc"
    extension. This is needed to play the game. THIS IS NOT A UT2003
    BUG. Currently, the only working drivers we are aware of that
    support this extension on Linux are the official Nvidia binary-only
    drivers. We are currently exploring options with other driver
    vendors, and we are willing to cooperate with any driver vendor that
    wants to support ut2003. The bottom line, however, is this: if you
    want to play the game right now, you should pop an Nvidia card into
    your machine.

Installing from source, rpm -bb.

#prep
%setup -q

%install
#rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/tmp
cp %{SOURCE0} %{SOURCE1} $RPM_BUILD_ROOT/tmp
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Games

%clean
rm -rf $RPM_BUILD_ROOT

%post
exec /tmp/ut2003-demo-linux.sh.bin

%files
%defattr(-, root, root)
%attr(1777,root,root) /tmp
%attr(644,root,root) /usr/share/peanut/apps/Games/*
